from machine import Pin
from time import sleep
from neopixel import NeoPixel

np_power_pin = Pin(11, machine.Pin.OUT)
np_pin = Pin(12)

np_power_pin.high()

pixels = NeoPixel(np_pin, 1)

colours = [
    (0xff, 0x00, 0x00), #red
    (0x00, 0xff, 0x00), #green
    (0x00, 0x00, 0xff), #blue
    (0xff, 0xff, 0x00), #yellow
    (0x00, 0xff, 0xff), #turquoise
    (0xff, 0x00, 0xff) #purple
]

colour_n = len(colours)
colour_index = 0

while True :
    for colour in colours:
        pixels.fill(colour)
        pixels.write()
        sleep(0.5)